# Copyright © 2024, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# This portion of the script initializes the plugin, making it known to QGIS.
import sys
import os
from pathlib import Path

from .install_packages import install_requirements


install_requirements()
sys.path.insert(0, str(Path(__file__).parent / "packages"))
sys.path.insert(0, str(Path(__file__).parent))


def classFactory(iface):
    from .polaris_menu import PolarisMenu

    return PolarisMenu(iface)
