# Copyright © 2024, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..supply_editor import LocationLinksBuilderDialog
from .show_dialog import show_diag


def rebuild_location_links(proj):
    if not proj.open_mode:
        proj.show_message_no_supply()
        return
    dlg2 = LocationLinksBuilderDialog(proj)
    show_diag(dlg2)
