# Copyright © 2024, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..import_export.export_gmns import ExportGMNSDialog
from .show_dialog import show_diag


def gmns_exporter(proj):
    if not proj.open_mode:
        proj.show_message_no_supply()
        return

    dlg2 = ExportGMNSDialog(proj)
    show_diag(dlg2)
